List Servers
Return the list of servers of pull stream
curl -X GET "https://api.5centscdn.com/v2/streams/restream/servers" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/restream/servers"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/restream/servers", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/restream/servers", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/restream/servers')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"servers": {
"mediaservers": {
"04": {
"code": 209,
"codeArr": [
"209"
],
"ipaddress": "51.161.197.142",
"name": "Oceania"
},
"02": {
"code": "11,211",
"codeArr": [
"11",
"211"
],
"ipaddress": "162.217.96.45,148.113.152.96",
"name": "North America"
},
"03": {
"code": 2,
"codeArr": [
"2"
],
"ipaddress": "37.59.22.5",
"name": "Europe"
},
"05": {
"code": 212,
"codeArr": [
"212"
],
"ipaddress": "148.113.1.171",
"name": "India"
},
"01": {
"code": 20,
"codeArr": [
"20"
],
"ipaddress": "15.235.224.212",
"name": "Singapore"
}
},
"ffmpegservers": [
{
"code": "ams3",
"group": "Europe",
"name": "Amsterdam, Netherlands"
},
{
"code": "lon1",
"group": "Europe",
"name": "London, United Kingdom"
},
{
"code": "nyc3",
"group": "North America",
"name": "New York, United States"
},
{
"code": "sfo1",
"group": "North America",
"name": "San Francisco, United States"
},
{
"code": "sgp1",
"group": "SouthEast Asia",
"name": "Singapore"
}
]
}
}
GET
/streams/restream/servers
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
resultstring
Status of the API response.
serversobject
Was this page helpful?